org.eclipse.eef.ide.ui.internal.widgets

## Class EEFSelectLifecycleManager

- java.lang.Object
- - org.eclipse.eef.ide.ui.api.widgets.AbstractEEFLifecycleManager
  - - org.eclipse.eef.ide.ui.api.widgets.AbstractEEFWidgetLifecycleManager
    - - org.eclipse.eef.ide.ui.internal.widgets.EEFSelectLifecycleManager

All Implemented Interfaces:
  IEEFLifecycleManager

    public class EEFSelectLifecycleManager
    extends AbstractEEFWidgetLifecycleManager

This class will be used in order to manager the lifecycle of a combo.

### Field Summary

### Fields inherited from class org.eclipse.eef.ide.ui.api.widgets.AbstractEEFWidgetLifecycleManager

`contextAdapter, help, interpreter, label, VALIDATION_MARKER_OFFSET, variableManager`

### Fields inherited from class org.eclipse.eef.ide.ui.api.widgets.AbstractEEFLifecycleManager

`container`

### Constructor Summary

Constructors
Constructor and Description
`EEFSelectLifecycleManager(EEFSelectDescription description, org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager, org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter, EditingContextAdapter contextAdapter)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `aboutToBeHidden()` Prepares for the widgets to be hidden.
`void` `aboutToBeShown()` Prepares for the widgets to be shown.
`protected void` `createMainControl(org.eclipse.swt.widgets.Composite parent, IEEFFormContainer formContainer)` Create the main control.
`protected IEEFWidgetController` `getController()` Returns the controller.
`protected org.eclipse.swt.widgets.Control` `getValidationControl()` Returns the control on which the validation marker will appear.
`protected EEFWidgetDescription` `getWidgetDescription()` Returns the description of the widget.
`protected void` `setEnabled(boolean isEnabled)` Sets the enablement of the widget.

### Methods inherited from class org.eclipse.eef.ide.ui.api.widgets.AbstractEEFWidgetLifecycleManager

`createControl, dispose, getEEFStyleHelper, getLabelVerticalAlignment, getStructuredSelection, getWidgetSemanticElement, isEnabled, lockedByMe, lockedByOther, lockedNoWrite, needSeparatedLabel, refresh, setLabelFontStyle, unlocked`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EEFSelectLifecycleManager

    public EEFSelectLifecycleManager(EEFSelectDescription description,
                                     org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager,
                                     org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter,
                                     EditingContextAdapter contextAdapter)

The constructor.

Parameters:
  `description` - The description
  `variableManager` - The variable manager
  `interpreter` - The interpreter
  `contextAdapter` - The editing context adapter

### Method Detail

#### createMainControl

    protected void createMainControl(org.eclipse.swt.widgets.Composite parent,
                                     IEEFFormContainer formContainer)

Create the main control.

Specified by:
  `createMainControl` in class `AbstractEEFWidgetLifecycleManager`
Parameters:
  `parent` - The composite parent
  `formContainer` - The form container
See Also:
  `AbstractEEFWidgetLifecycleManager.createMainControl(org.eclipse.swt.widgets.Composite, org.eclipse.eef.common.ui.api.IEEFFormContainer)`

#### getController

    protected IEEFWidgetController getController()

Returns the controller.

Specified by:
  `getController` in class `AbstractEEFWidgetLifecycleManager`
Returns:
  The controller
See Also:
  `AbstractEEFWidgetLifecycleManager.getController()`

#### getWidgetDescription

    protected EEFWidgetDescription getWidgetDescription()

Returns the description of the widget.

Specified by:
  `getWidgetDescription` in class `AbstractEEFWidgetLifecycleManager`
Returns:
  The description of the widget
See Also:
  `org.eclipse.eef.ide.ui.internal.widgets.AbstractEEFWidgetLifecycleManager#getWidgetDescription()`

#### getValidationControl

    protected org.eclipse.swt.widgets.Control getValidationControl()

Returns the control on which the validation marker will appear.

Specified by:
  `getValidationControl` in class `AbstractEEFLifecycleManager`
Returns:
  The control used to display the validation marker
See Also:
  `AbstractEEFLifecycleManager.getValidationControl()`

#### aboutToBeShown

    public void aboutToBeShown()

Prepares for the widgets to be shown.

Specified by:
  `aboutToBeShown` in interface `IEEFLifecycleManager`
Overrides:
  `aboutToBeShown` in class `AbstractEEFWidgetLifecycleManager`
See Also:
  `IEEFLifecycleManager.aboutToBeShown()`

#### aboutToBeHidden

    public void aboutToBeHidden()

Prepares for the widgets to be hidden.

Specified by:
  `aboutToBeHidden` in interface `IEEFLifecycleManager`
Overrides:
  `aboutToBeHidden` in class `AbstractEEFWidgetLifecycleManager`
See Also:
  `IEEFLifecycleManager.aboutToBeHidden()`

#### setEnabled

    protected void setEnabled(boolean isEnabled)

Sets the enablement of the widget.

Specified by:
  `setEnabled` in class `AbstractEEFWidgetLifecycleManager`
Parameters:
  `isEnabled` - `true` when the widget should have its default behavior, `false` when the widget should be in a read only mode.
See Also:
  `AbstractEEFWidgetLifecycleManager.setEnabled(boolean)`